Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.math.analysis
Class UnivariateRealSolverFactoryImpl

    java.lang.Object
      org.apache.commons.math.analysis.UnivariateRealSolverFactory
          org.apache.commons.math.analysis.UnivariateRealSolverFactoryImpl

public class UnivariateRealSolverFactoryImpl
extends UnivariateRealSolverFactory

A concrete `UnivariateRealSolverFactory`. This is the default solver factory used by commons-math.

The default solver returned by this factory is a `BrentSolver`.

Version:
  $Revision: 1.13 $ $Date: 2004/06/23 16:26:14 $

Constructor Summary
`UnivariateRealSolverFactoryImpl()` Default constructor.

Method Summary
`UnivariateRealSolver` | `newBisectionSolver(UnivariateRealFunction f)` Create a new `UnivariateRealSolver` for the given function.
`UnivariateRealSolver` | `newBrentSolver(UnivariateRealFunction f)` Create a new `UnivariateRealSolver` for the given function.
`UnivariateRealSolver` | `newDefaultSolver(UnivariateRealFunction f)` Create a new `UnivariateRealSolver` for the given function.
`UnivariateRealSolver` | `newNewtonSolver(DifferentiableUnivariateRealFunction f)` Create a new `UnivariateRealSolver` for the given function.
`UnivariateRealSolver` | `newSecantSolver(UnivariateRealFunction f)` Create a new `UnivariateRealSolver` for the given function.

Methods inherited from class org.apache.commons.math.analysis.UnivariateRealSolverFactory
`newInstance`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UnivariateRealSolverFactoryImpl

    public UnivariateRealSolverFactoryImpl()

  Default constructor.

Method Detail

### newDefaultSolver

    public UnivariateRealSolver newDefaultSolver(UnivariateRealFunction f)

  Create a new `UnivariateRealSolver` for the given function. The actual solver returned is determined by the underlying factory. This factory returns a `BrentSolver` instance.

  Specified by:
    `newDefaultSolver` in class `UnivariateRealSolverFactory`
  Parameters:
    `f` - the function.
  Returns:
    the new solver.

### newBisectionSolver

    public UnivariateRealSolver newBisectionSolver(UnivariateRealFunction f)

  Create a new `UnivariateRealSolver` for the given function. The solver is an implementation of the bisection method.

  Specified by:
    `newBisectionSolver` in class `UnivariateRealSolverFactory`
  Parameters:
    `f` - the function.
  Returns:
    the new solver.

### newBrentSolver

    public UnivariateRealSolver newBrentSolver(UnivariateRealFunction f)

  Create a new `UnivariateRealSolver` for the given function. The solver is an implementation of the Brent method.

  Specified by:
    `newBrentSolver` in class `UnivariateRealSolverFactory`
  Parameters:
    `f` - the function.
  Returns:
    the new solver.

### newNewtonSolver

    public UnivariateRealSolver newNewtonSolver(DifferentiableUnivariateRealFunction f)

  Create a new `UnivariateRealSolver` for the given function. The solver is an implementation of Newton's Method.

  Specified by:
    `newNewtonSolver` in class `UnivariateRealSolverFactory`
  Parameters:
    `f` - the function.
  Returns:
    the new solver.

### newSecantSolver

    public UnivariateRealSolver newSecantSolver(UnivariateRealFunction f)

  Create a new `UnivariateRealSolver` for the given function. The solver is an implementation of the secant method.

  Specified by:
    `newSecantSolver` in class `UnivariateRealSolverFactory`
  Parameters:
    `f` - the function.
  Returns:
    the new solver.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2004 The Apache Software Foundation. All Rights Reserved.